Skip to content
AACSearch

Lease the next CMS action for 120 seconds

Lease the next CMS action for 120 seconds. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.

Full-key operation

Requires a full key; a search key or a browser key gets a 403. See Keys and credits.
POST
/cms/runtime/commands/claim

Lease the next CMS action for 120 seconds. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.

Header Parameters

X-AACSEARCH-INSTALLATION-KEY*string
Length1 <= length <= 512
X-AACSEARCH-INSTALLATION-ORIGIN*string
Length1 <= length <= 512

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cms/runtime/commands/claim" \  -H "X-AACSEARCH-INSTALLATION-KEY: string" \  -H "X-AACSEARCH-INSTALLATION-ORIGIN: string"
{  "command": {    "id": "string",    "installation_id": "string",    "kind": "reindex",    "store_id": "string",    "source_id": "string",    "status": "queued",    "progress": 0,    "attempts": 0,    "lease_expires_at": 0,    "error": "string",    "created_at": 0,    "updated_at": 0  },  "lease_token": "string"}